@echo off
if exist GDFBinary_cs_CZ.dll goto Czech
if exist GDFBinary_de_DE.dll goto Deutsch
if exist GDFBinary_en_US.dll goto English
if exist GDFBinary_fr_FR.dll goto French
if exist GDFBinary_it_IT.dll goto Italian
if exist GDFBinary_ja_JP.dll goto Japanese
if exist GDFBinary_ko_KR.dll goto Korean
if exist GDFBinary_pl_PL.dll goto Polish
if exist GDFBinary_ru_RU.dll goto Russian
if exist GDFBinary_es_ES.dll goto Spanish
if exist GDFBinary_zh_TW.dll goto Taiwan
cls
echo.
echo You don't have the game properly installed on this folder.
echo Press any key to abort.
echo.
pause
goto abort
:Czech
set lang=cs_CZ
goto end
:Deutsch
set lang=de_DE
goto end
:English
set lang=en_US
goto end
:French
set lang=fr_FR
goto end
:Italian
set lang=it_IT
goto end
:Japanese
set lang=ja_JP
goto end
:Korean
set lang=ko_KR
goto end
:Polish
set lang=pl_PL
goto end
:Russian
set lang=ru_RU
goto end
:Spanish
set lang=es_ES
goto end
:Taiwan
set lang=zh_TW
:end

if exist Support goto exists
mkdir Support
:exists

if %PROCESSOR_ARCHITECTURE%==AMD64 set reg=\Wow6432Node\
if %PROCESSOR_ARCHITECTURE%==x86 set reg=\

echo "GDFBinary"="%cd%\GDFBinary_%lang%.dll"> Support\line1.txt
echo "Install Dir"="%cd%\"> Support\line2.txt

setlocal enabledelayedexpansion
set INTEXTFILE=Support\line1.txt
set OUTTEXTFILE=Support\line1_new.txt
set SEARCHTEXT=\
set REPLACETEXT=\\

for /f "tokens=1,* delims=" %%A in ( '"type %INTEXTFILE%"') do (
SET string=%%A
SET modified=!string:%SEARCHTEXT%=%REPLACETEXT%!

echo !modified!>> %OUTTEXTFILE%
)
del %INTEXTFILE%
rename %OUTTEXTFILE% line1.txt

set INTEXTFILE=Support\line2.txt
set OUTTEXTFILE=Support\line2_new.txt
set SEARCHTEXT=\
set REPLACETEXT=\\

for /f "tokens=1,* delims=" %%A in ( '"type %INTEXTFILE%"') do (
SET string=%%A
SET modified=!string:%SEARCHTEXT%=%REPLACETEXT%!

echo !modified!>> %OUTTEXTFILE%
)
del %INTEXTFILE%
rename %OUTTEXTFILE% line2.txt

set /p line1= <Support\line1.txt
set /p line2= <Support\line2.txt

echo Windows Registry Editor Version 5.00> Support\BF3.reg
echo.>> Support\BF3.reg
echo [HKEY_LOCAL_MACHINE\SOFTWARE%reg%EA Games\Battlefield 3]>> Support\BF3.reg
echo %line1%>> Support\BF3.reg
echo "Locale"="%lang%">> Support\BF3.reg
echo %line2%>> Support\BF3.reg
start %installdir%Support\BF3.reg
del Support\line1.txt /q
del Support\line2.txt /q
:abort